Name:           python-scancode-toolkit-mini
Version:        32.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ScanCode is a tool to scan code for license, copyright, package and their documented dependencies and other interesting facts. scancode-toolkit-mini is a special build that does not come with pre-built binary dependencies by default. These are instead installed separately or with the extra_requires scancode-toolkit-mini[full]

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/aboutcode-org/scancode-toolkit
Source:         %{pypi_source scancode-toolkit-mini}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scancode-toolkit-mini' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scancode-toolkit-mini
Summary:        %{summary}

%description -n python3-scancode-toolkit-mini %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-scancode-toolkit-mini docs,full,packages,testing


%prep
%autosetup -p1 -n scancode-toolkit-mini-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,full,packages,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scancode-toolkit-mini -f %{pyproject_files}


%changelog
%autochangelog